#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1427\r"; sleep 2;
echo -e "write (0,1) -1383\r"; sleep 2;
echo -e "write (0,2) -1600\r"; sleep 2;
echo -e "write (0,3) -1423\r"; sleep 2;
echo -e "write (0,4) -1432\r"; sleep 2;
echo -e "write (0,5) -1518\r"; sleep 2;
echo -e "write (0,6) -1640\r"; sleep 2;
echo -e "write (0,9) -1529\r"; sleep 2;
echo -e "write (0,10) -1422\r"; sleep 2;
echo -e "write (0,11) -1338\r"; sleep 2;
echo -e "write (0,12) -1398\r"; sleep 2;
echo -e "write (0,13) -1600\r"; sleep 2;
echo -e "write (0,14) -1485\r"; sleep 2;
echo -e "write (1,0) -1441\r"; sleep 2;
echo -e "write (1,1) -1419\r"; sleep 2;
echo -e "write (1,2) -1465\r"; sleep 2;
echo -e "write (1,3) -1572\r"; sleep 2;
echo -e "write (1,4) -1453\r"; sleep 2;
echo -e "write (1,5) -1308\r"; sleep 2;
echo -e "write (1,6) -1520\r"; sleep 2;
echo -e "write (1,9) -1305\r"; sleep 2;
echo -e "write (1,10) -1433\r"; sleep 2;
echo -e "write (1,11) -1256\r"; sleep 2;
echo -e "write (1,12) -1440\r"; sleep 2;
echo -e "write (1,13) -1322\r"; sleep 2;
echo -e "write (1,14) -1458\r"; sleep 2;
echo -e "write (2,0) -1488\r"; sleep 2;
echo -e "write (2,1) -1446\r"; sleep 2;
echo -e "write (2,2) -1411\r"; sleep 2;
echo -e "write (2,3) -1636\r"; sleep 2;
echo -e "write (2,4) -1607\r"; sleep 2;
echo -e "write (2,5) -1488\r"; sleep 2;
echo -e "write (2,6) -1381\r"; sleep 2;
echo -e "write (2,9) -1575\r"; sleep 2;
echo -e "write (2,10) -1554\r"; sleep 2;
echo -e "write (2,11) -1220\r"; sleep 2;
echo -e "write (2,12) -1390\r"; sleep 2;
echo -e "write (2,14) -1559\r"; sleep 2;
echo -e "write (3,0) -1359\r"; sleep 2;
echo -e "write (3,1) -1202\r"; sleep 2;
echo -e "write (3,2) -1286\r"; sleep 2;
echo -e "write (3,3) -1389\r"; sleep 2;
echo -e "write (3,4) -1316\r"; sleep 2;
echo -e "write (3,5) -1314\r"; sleep 2;
echo -e "write (3,6) -1210\r"; sleep 2;
echo -e "write (3,9) -1453\r"; sleep 2;
echo -e "write (3,10) -1550\r"; sleep 2;
echo -e "write (3,11) -1358\r"; sleep 2;
echo -e "write (3,12) -1660\r"; sleep 2;
echo -e "write (3,13) -1282\r"; sleep 2;
echo -e "write (3,14) -1404\r"; sleep 2;
echo -e "write (4,0) -1608\r"; sleep 2;
echo -e "write (4,1) -1429\r"; sleep 2;
echo -e "write (4,2) -1496\r"; sleep 2;
echo -e "write (4,3) -1588\r"; sleep 2;
echo -e "write (4,4) -1518\r"; sleep 2;
echo -e "write (4,5) -1304\r"; sleep 2;
echo -e "write (4,6) -1280\r"; sleep 2;
echo -e "write (4,9) -1564\r"; sleep 2;
echo -e "write (4,10) -1540\r"; sleep 2;
echo -e "write (4,11) -1361\r"; sleep 2;
echo -e "write (4,12) -1627\r"; sleep 2;
echo -e "write (4,13) -1428\r"; sleep 2;
echo -e "write (4,14) -1339\r"; sleep 2;
echo -e "write (5,0) -1456\r"; sleep 2;
echo -e "write (5,1) -1292\r"; sleep 2;
echo -e "write (5,2) -1315\r"; sleep 2;
echo -e "write (5,3) -1300\r"; sleep 2;
echo -e "write (5,4) -1508\r"; sleep 2;
echo -e "write (5,5) -1373\r"; sleep 2;
echo -e "write (5,6) -1366\r"; sleep 2;
echo -e "write (5,9) -1206\r"; sleep 2;
echo -e "write (5,10) -1527\r"; sleep 2;
echo -e "write (5,11) -1355\r"; sleep 2;
echo -e "write (5,12) -1334\r"; sleep 2;
echo -e "write (5,13) -1623\r"; sleep 2;
echo -e "write (5,14) -1517\r"; sleep 2;
echo -e "write (6,0) -1521\r"; sleep 2;
echo -e "write (6,1) -1622\r"; sleep 2;
echo -e "write (6,2) -1360\r"; sleep 2;
echo -e "write (6,3) -1411\r"; sleep 2;
echo -e "write (6,4) -1343\r"; sleep 2;
echo -e "write (6,5) -1236\r"; sleep 2;
echo -e "write (6,6) -1461\r"; sleep 2;
echo -e "write (6,9) -1501\r"; sleep 2;
echo -e "write (6,10) -1534\r"; sleep 2;
echo -e "write (6,11) -1460\r"; sleep 2;
echo -e "write (6,12) -1382\r"; sleep 2;
echo -e "write (6,13) -1498\r"; sleep 2;
echo -e "write (6,14) -1352\r"; sleep 2;
echo -e "write (7,0) -1348\r"; sleep 2;
echo -e "write (7,1) -1343\r"; sleep 2;
echo -e "write (7,2) -1143\r"; sleep 2;
echo -e "write (7,3) -1433\r"; sleep 2;
echo -e "write (7,4) -1600\r"; sleep 2;
echo -e "write (7,5) -1385\r"; sleep 2;
echo -e "write (7,6) -1555\r"; sleep 2;
echo -e "write (7,9) -1367\r"; sleep 2;
echo -e "write (7,10) -1475\r"; sleep 2;
echo -e "write (7,11) -1375\r"; sleep 2;
echo -e "write (7,12) -1170\r"; sleep 2;
echo -e "write (7,13) -1601\r"; sleep 2;
echo -e "write (7,14) -1442\r"; sleep 2;
echo -e "write (8,0) -1164\r"; sleep 2;
echo -e "write (8,1) -1450\r"; sleep 2;
echo -e "write (8,2) -1206\r"; sleep 2;
echo -e "write (8,3) -1365\r"; sleep 2;
echo -e "write (8,4) -1293\r"; sleep 2;
echo -e "write (8,5) -1363\r"; sleep 2;
echo -e "write (8,6) -1449\r"; sleep 2;
echo -e "write (8,9) -1448\r"; sleep 2;
echo -e "write (8,10) -1401\r"; sleep 2;
echo -e "write (8,11) -1600\r"; sleep 2;
echo -e "write (8,12) -941\r"; sleep 2;
echo -e "write (8,13) -1252\r"; sleep 2;
echo -e "write (8,14) -1275\r"; sleep 2;
echo -e "write (9,0) -1179\r"; sleep 2;
echo -e "write (9,1) -1272\r"; sleep 2;
echo -e "write (9,2) -1184\r"; sleep 2;
echo -e "write (9,3) -1212\r"; sleep 2;
echo -e "write (9,4) -1285\r"; sleep 2;
echo -e "write (9,5) -1416\r"; sleep 2;
echo -e "write (9,6) -1312\r"; sleep 2;
echo -e "write (9,9) -1447\r"; sleep 2;
echo -e "write (9,10) -1175\r"; sleep 2;
echo -e "write (9,11) -1541\r"; sleep 2;
echo -e "write (9,12) -1473\r"; sleep 2;
echo -e "write (9,13) -1359\r"; sleep 2;
echo -e "write (9,14) -1394\r"; sleep 2;
echo -e "write (10,0) -1248\r"; sleep 2;
echo -e "write (10,1) -1338\r"; sleep 2;
echo -e "write (10,2) -1473\r"; sleep 2;
echo -e "write (10,3) -1600\r"; sleep 2;
echo -e "write (10,4) -1476\r"; sleep 2;
echo -e "write (10,5) -1423\r"; sleep 2;
echo -e "write (10,6) -1313\r"; sleep 2;
echo -e "write (10,9) -1529\r"; sleep 2;
echo -e "write (10,10) -1499\r"; sleep 2;
echo -e "write (10,11) -1391\r"; sleep 2;
echo -e "write (10,12) -1292\r"; sleep 2;
echo -e "write (10,13) -1580\r"; sleep 2;
echo -e "write (10,14) -1352\r"; sleep 2;
echo -e "write (11,0) -1366\r"; sleep 2;
echo -e "write (11,1) -1213\r"; sleep 2;
echo -e "write (11,2) -1436\r"; sleep 2;
echo -e "write (11,3) -1285\r"; sleep 2;
echo -e "write (11,4) -1161\r"; sleep 2;
echo -e "write (11,5) -1378\r"; sleep 2;
echo -e "write (11,6) -1433\r"; sleep 2;
echo -e "write (11,9) -1525\r"; sleep 2;
echo -e "write (11,10) -1286\r"; sleep 2;
echo -e "write (11,11) -1256\r"; sleep 2;
echo -e "write (11,12) -1218\r"; sleep 2;
echo -e "write (11,13) -1291\r"; sleep 2;
echo -e "write (11,14) -1264\r"; sleep 2;
echo -e "write (12,0) -1216\r"; sleep 2;
echo -e "write (12,1) -1213\r"; sleep 2;
echo -e "write (12,2) -1333\r"; sleep 2;
echo -e "write (12,3) -1306\r"; sleep 2;
echo -e "write (12,4) -1384\r"; sleep 2;
echo -e "write (12,5) -1290\r"; sleep 2;
echo -e "write (12,6) -1302\r"; sleep 2;
echo -e "write (12,9) -1235\r"; sleep 2;
echo -e "write (12,10) -1300\r"; sleep 2;
echo -e "write (12,11) -1220\r"; sleep 2;
echo -e "write (12,12) -1487\r"; sleep 2;
echo -e "write (12,13) -1584\r"; sleep 2;
echo -e "write (12,14) -1325\r"; sleep 2;
echo -e "write (13,0) -1470\r"; sleep 2;
echo -e "write (13,1) -1507\r"; sleep 2;
echo -e "write (13,2) -1494\r"; sleep 2;
echo -e "write (13,3) -1477\r"; sleep 2;
echo -e "write (13,4) -1525\r"; sleep 2;
echo -e "write (13,5) -1521\r"; sleep 2;
echo -e "write (13,6) -1445\r"; sleep 2;
echo -e "write (13,9) -1405\r"; sleep 2;
echo -e "write (13,10) -1430\r"; sleep 2;
echo -e "write (13,11) -1496\r"; sleep 2;
echo -e "write (13,12) -1435\r"; sleep 2;
echo -e "write (13,13) -1610\r"; sleep 2;
echo -e "write (13,14) -1611\r"; sleep 2;
echo -e "write (14,0) -1396\r"; sleep 2;
echo -e "write (14,1) -1340\r"; sleep 2;
echo -e "write (14,2) -1401\r"; sleep 2;
echo -e "write (14,3) -1462\r"; sleep 2;
echo -e "write (14,4) -1397\r"; sleep 2;
echo -e "write (14,5) -1321\r"; sleep 2;
echo -e "write (14,6) -1191\r"; sleep 2;
echo -e "write (14,9) -1328\r"; sleep 2;
echo -e "write (14,10) -1165\r"; sleep 2;
echo -e "write (14,11) -1239\r"; sleep 2;
echo -e "write (14,12) -1353\r"; sleep 2;
echo -e "write (14,13) -1427\r"; sleep 2;
echo -e "write (14,14) -1203\r"; sleep 2;
echo -e "write (15,0) -1322\r"; sleep 2;
echo -e "write (15,1) -1203\r"; sleep 2;
echo -e "write (15,2) -952\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7006 > ../log/fms_hvon_7006_$t.tex
echo Set new HV
cat ../log/fms_hvon_7006_$t.tex
